Skip to main content
PUT
/
workflow-test-sets
/
{test_set_id}
Update workflow test set
curl --request PUT \
  --url https://api.trymaitai.ai/api/v1/workflow-test-sets/{test_set_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Maitai-Api-Key: <api-key>' \
  --data '
{
  "test_set_name": "HS Classification Holdout v2",
  "test_set_description": "Updated with reviewed examples"
}
'
{
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

test_set_id
integer
required

Body

application/json
test_set_name
string
test_set_description
string

Response

200 - application/json

Update workflow test set.

data
any